请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册
搜索

微信记录 快应用官方微信群交流记录(第八十四期)

1
回复
70
查看
[复制链接]

188

主题

341

帖子

3190

积分

 楼主| 2019-1-8 15:54:21 显示全部楼层 |阅读模式
本帖最后由 管理员 于 2019-1-11 10:59 编辑

快应用官方微信群交流记录

9.png


1.问:yarn upgrade hap-toolkit@0.1.1,yarn能换成npm吗?我经常更新不了。

图片1.png

答:可以的,npm i hap-toolkit@0.1.1,npm ls hap-toolkit,hap -V 执行的是全局的 hap-toolkit——可以 npm install -g hap-toolkit 将全局 hap 升级到最新,0.1.0 后,查看版本的参数由 -V 改为 -v。


2.问:最近开发快应用进行调试,没自动打开chrome devtools界面,怎么个解法呢。logcat的日志,看似没啥问题。

图片5.png

答:试着更新一下手机调试器。



3.问:升级 hap-toolkit 后 打包报这个错误大概是什么问题?

图片2.png

答:改成这样试下

图片3.png


11.png


1.问:使用  Deeplink 怎么跳转到原生APP?
  1. router.push({

  2.     uri:'https://hapjs.org/app/com.xxxx’

  3. })
复制代码




   6.png

1.问:tab-content这个里面的为什么用了if 的话,切换的时候就会出问题,一直自动跳转。

图片4.png





2.问:快应用的输入框,一般怎样获取值呀,好像灭有oninput事件,也没有双向数据绑定 。
答:目前还没有双向绑定。可以在onchange事件触发时候把e.value的值赋值给绑定的变量。


5.png


1.问:快应用页面返回时,可以中断吗?

答:不能。


   8.png

4.png

问:微信分享报这个错误code:203 message:os don't support sdk share,快应用升级之前是可以分享的,貌似是升级后分享有问题了。


6.png

问:直接使用这个会报错,需要导入什么吗?

图片6.png




联系我们


回复

使用道具 举报

0

主题

2

帖子

10

积分

2019-1-9 20:14:33 显示全部楼层
“什么时候支持text-shadow和box-shadow”是我1月4号提的
“这种接口应该已经不属于快应用的范围了。”是1月7号回复另一个问题的,跟我的问题完全不相干啊

另外求尽快支持css的text-shadow和box-shadow啊,不然现在有阴影的地方都要用图片,很不灵活,而且还影响打包后的体积
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册